Pave Bank
RFI

Get RFI

Retrieve a single RFI. Returns the RFI along with its questions and responses.

Example Request

curl -X GET "https://api.pavebank.com/v1/rfis/:rfiID" \
  --header "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response

{
    "id": "<RFI_ID>",
    "type": "<RELATED_ID_TYPE>",
    "related_id": "<ACCOUNT_ID>",
    "legal_entity_id": "<LEGAL_ENTITY_ID>",
    "description": "description text here",
    "status": "action_required",
    "questions": [
        {
            "id": "<RFI_QUESTION_ID>",
            "status": "answered",
            "question_type": "identification.individual.passport",
            "question_data": {
                "question_text": "please provide passport documents",
                "comment": "",
                "document_ids": []
            },
            "created_at": "2026-01-28T07:01:35.210189Z",
            "updated_at": "2026-01-28T07:08:42.658422Z",
            "responses": [
                {
                    "id": "<RFI_ID>",
                    "question_id": "<RFI_QUESTION_ID>",
                    "responder_type": "customer",
                    "response": {
                        "identification.individual.passport": {
                            "response_text": "",
                            "document_ids": [
                                "<DOCUMENT_ID_1>"
                            ]
                        }
                    },
                    "created_at": "2026-01-28T07:08:42.658422Z",
                    "updated_at": "2026-01-28T07:08:42.658422Z"
                }
            ]
        },
        {
            "id": "<RFI_ID>",
            "status": "action_required",
            "question_type": "identification.individual.corrected_address",
            "question_data": {
                "question_text": "please provide a valid address",
                "comment": "",
                "document_ids": []
            },
            "created_at": "2026-01-28T07:17:43.537029Z",
            "updated_at": "2026-01-28T07:17:43.537029Z",
            "responses": []
        }
    ],
    "created_at": "2026-01-28T07:01:35.210189Z",
    "updated_at": "2026-01-28T07:01:35.210189Z"
}
GET
/v1/rfis/{rfiID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

rfiIDRequiredstring

The unique identifier of the RFI

Response Body

Success response

idRequiredstring

The unique identifier of the RFI

typeRequiredstring

The type of RFI

Value in: "transaction" | "account" | "nominal_sub_account" | "nominal_sub_account_opening"
related_idRequiredstring

The ID of the related entity (e.g., transaction ID, Account ID)

legal_entity_idRequiredstring

The legal entity ID associated with the RFI

descriptionRequiredstring

Description of the RFI

statusRequiredstring

The status of the RFI or question

Value in: "action_required" | "pending_review" | "closed" | "approved" | "rejected" | "timeout"
questionsRequiredarray<object>

List of questions in the RFI

created_atRequiredstring

Timestamp when the RFI was created

Format: "date-time"
updated_atRequiredstring

Timestamp when the RFI was last updated

Format: "date-time"
curl -X GET "https://developer-api-staging.pavebank.dev/v1/rfis/string" \
  -H "Authorization: Bearer <token>"
{
  "id": "rfi_mmqtdn8mjj94xscpxjrmmxn4x7",
  "type": "transaction",
  "related_id": "transaction_21gcy5d77t27dhyqbyi0574g4m",
  "legal_entity_id": "legalentity_8j4cy8d7pt2edeyqcyi0275q7b",
  "description": "Additional information required for compliance review",
  "status": "action_required",
  "questions": [
    {
      "id": "rfi_question_msq57c6xqhunjra0658ip6ksep",
      "status": "action_required",
      "question_type": "identification.individual.passport",
      "question_data": {},
      "created_at": "2025-11-03T07:07:07.159318Z",
      "updated_at": "2025-11-03T07:07:07.159318Z",
      "responses": [
        {
          "id": "rfi_response_mgj2r18umihjkuvnp9j4xcpt7j",
          "question_id": "rfi_question_k12w4vz35hzmorbdf7lo2v01ac",
          "responder_type": "customer",
          "response": {}
        }
      ]
    }
  ],
  "created_at": "2025-11-03T07:07:07.159318Z",
  "updated_at": "2025-11-03T07:07:07.159318Z"
}